//Base part


//duration: part length in ms
//startTime: the absolute time when the part starts
//endTime: time that part need for end effect in ms
var PartBase = function(){
  
}

//scene is initialized before demo starts
PartBase.prototype.initScene = function(){
}

//prepare is called just before first rendering
PartBase.prototype.prepare = function(elapsedTime){
}

//rendering function
PartBase.prototype.render = function(elapsedTime, rtt){
}

//Operations tahta takes place before rendering in every cycle
PartBase.prototype.animate = function(elapsedTime){
}

//--------------------------------------------------
// PROTOTYPAL INHERITANCE FUNCTION
//--------------------------------------------------
PartBase.prototype.inheritance = function(){
  function PartBasePrototype(){};
  PartBasePrototype.prototype = this;
  var created = new PartBasePrototype();
  return created;
};
